"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const helper_1 = __importDefault(require("../utils/helper"));
class Contest {
    slug;
    contest;
    questions;
    user_num;
    has_chosen_contact;
    company;
    registered;
    containsPremium;
    static uris;
    static setUris(uris) {
        Contest.uris = uris;
    }
    static getWeeklyContestSlug(id) {
        return `weekly-contest-${id}`;
    }
    static getBiweeklyContestSlug(id) {
        return `biweekly-contest-${id}`;
    }
    constructor(slug, contest, questions, user_num, has_chosen_contact, company, registered, containsPremium) {
        this.slug = slug;
        this.contest = contest;
        this.questions = questions;
        this.user_num = user_num;
        this.has_chosen_contact = has_chosen_contact;
        this.company = company;
        this.registered = registered;
        this.containsPremium = containsPremium;
    }
    async detail() {
        let response = await helper_1.default.HttpRequest({
            url: Contest.uris.contestInfo.replace("$slug", this.slug),
        });
        response = JSON.parse(response);
        this.contest = response.contest;
        this.questions = response.questions;
        // eslint-disable-next-line @typescript-eslint/camelcase
        this.user_num = response.user_num;
        // eslint-disable-next-line @typescript-eslint/camelcase
        this.has_chosen_contact = response.has_chosen_contact;
        this.company = response.company;
        this.registered = response.registered;
        this.containsPremium = response.containsPremium;
        return this;
    }
}
exports.default = Contest;
//# sourceMappingURL=contest.js.map