"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const helper_1 = __importDefault(require("../utils/helper"));
class Submission {
    id;
    lang;
    memory;
    runtime;
    statusDisplay;
    timestamp;
    code;
    static uris;
    static setUris(uris) {
        Submission.uris = uris;
    }
    constructor(id, lang, memory, runtime, statusDisplay, timestamp, code) {
        this.id = id;
        this.lang = lang;
        this.memory = memory;
        this.runtime = runtime;
        this.statusDisplay = statusDisplay;
        this.timestamp = timestamp;
        this.code = code;
    }
    async detail() {
        const response = await helper_1.default.GraphQLRequest({
            query: `
                query mySubmissionDetail($id: ID!) {
                    submissionDetail(submissionId: $id) {
                    id
                    code
                    runtime
                    memory
                    rawMemory
                    statusDisplay
                    timestamp
                    lang
                    passedTestCaseCnt
                    totalTestCaseCnt
                    sourceUrl
                    question {
                        titleSlug
                        title
                        translatedTitle
                        questionId
                        __typename
                    }
                    ... on GeneralSubmissionNode {
                        outputDetail {
                        codeOutput
                        expectedOutput
                        input
                        compileError
                        runtimeError
                        lastTestcase
                        __typename
                        }
                        __typename
                    }
                    submissionComment {
                        comment
                        flagType
                        __typename
                    }
                    __typename
                    }
                }
            `,
            variables: {
                id: this.id.toString(),
            },
        });
        const submissionDetail = response.submissionDetail;
        this.lang = submissionDetail.lang;
        this.memory = submissionDetail.memory;
        this.runtime = submissionDetail.runtime;
        this.statusDisplay = submissionDetail.statusDisplay;
        this.timestamp = submissionDetail.timestamp;
        this.code = submissionDetail.code;
        return this;
    }
}
exports.default = Submission;
//# sourceMappingURL=submission.js.map